Kerbal Space Program - Bug #13005

Placing a Maneuver Node bugged after rescued Kerbal boards craft via EVA
10/14/2016 03:04 PM - zel_knight

Status: Closed Start date: 10/14/2016
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.3.0

Version: 1.2.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Freshly installed & unmodded 1.2

To reproduce: EVA a rescue contract Kerbal into your craft, open map screen and place a maneuver. The node itself behaves fine
but there is no dv estimate or ETA shown beside the navball (see screenshot). Leaving and returning to the map screen clears the
maneuver. Switching craft or EVA'ing a Kerbal fixes the glitch and maneuver nodes once again behave normally. Bug can also occur
when klaw'ing contract created craft (rescues & recoveries).

Related issues:
Related to Kerbal Space Program - Bug #13153: Maneuver Node Bug when two orbi... Closed 10/31/2016

History

#1 - 10/14/2016 03:15 PM - Nebbie
- Status changed from New to Confirmed

- % Done changed from 0 to 10

I've run into this a lot (since early in the prerelease even), but forgot to make an issue for it. Happens on Linux too, btw.

#2 - 10/20/2016 09:23 AM - Squelch
- Status changed from Confirmed to Need More Info

- % Done changed from 10 to 0

Please could you provide us with save files that show this problem?

There was an issue with manoeuvre nodes being set on the wrong orbit when placed during the Pre-release phase. This should have subsequently
been fixed. (A node that is not on the current orbit will not be displayed on the navball)

Can you confirm that the save that you are experiencing this in is a fresh 1.2.0 game, and not an older Pre-Release save?

#3 - 10/23/2016 01:30 PM - zel_knight

- File Bob.zip added

- File screenshot0.png added

Squelch wrote:

Please could you provide us with save files that show this problem?

Can you confirm that the save that you are experiencing this in is a fresh 1.2.0 game, and not an older Pre-Release save?

Can confirm running a fresh, unmodded 1.2 final install, not pre-release.
Use attached save game "Bob" to reproduce via steps:
Enter tracking station, select and fly Rescue Bus.

Warp to intercept
Transfer Jeb from Cockpit to Crew Cabin
Using the [] hotkeys, switch to target when in range
EVA Bernby (?) Kerman from derelict to the Rescue Bus

Transfer Bernby to crew cabin and Jeb back to cockpit (sorry, my commnet isn't 100% operational. Crew transfers not required to reproduce

otherwise)
Press m to enter map view and set a maneuver node

Attached screenshot of my results following the above steps

#4 - 10/31/2016 10:24 AM - Anth12
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

| believe this is related to #13153

#5 - 06/24/2017 11:47 PM - bewing

- Related to Bug #13153: Maneuver Node Bug when two orbiting ships get close to each other added

#6 - 06/25/2017 12:45 AM - bewing
- Status changed from Updated to Ready to Test
- Target version set to 1.3.0

- % Done changed from 10 to 80

Looks fixed. Can't reproduce according to the instructions.

#7 - 03/19/2018 06:19 PM - MechBFP
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Confirmed this is fixed.

#8 - 10/15/2018 07:04 PM - joshua.collins

- Status changed from Resolved to Closed

Files

screenshoti.png 917 KB 10/14/2016 zel_knight

Bob.zip 445 KB 10/23/2016 zel_knight

screenshot0.png 620 KB 10/23/2016 zel_knight
